package com.ssm.di.xml;

public class Dict {
    // 1. 私有属性（满足≥4个要求）
    private Integer dictId;      // 字典ID
    private String dictType;      // 字典类型
    private String dictCode;      // 字典编码
    private String dictName;      // 字典名称
    private Integer dictSort;     // 排序序号
    private String isValid;       // 是否有效（Y/N）


    public Integer getDictId() {
        return dictId;
    }

    public void setDictId(Integer dictId) {
        this.dictId = dictId;
    }

    public String getDictType() {
        return dictType;
    }

    public void setDictType(String dictType) {
        this.dictType = dictType;
    }

    public String getDictCode() {
        return dictCode;
    }

    public void setDictCode(String dictCode) {
        this.dictCode = dictCode;
    }

    public String getDictName() {
        return dictName;
    }

    public void setDictName(String dictName) {
        this.dictName = dictName;
    }

    public Integer getDictSort() {
        return dictSort;
    }

    public void setDictSort(Integer dictSort) {
        this.dictSort = dictSort;
    }

    public String getIsValid() {
        return isValid;
    }

    public void setIsValid(String isValid) {
        this.isValid = isValid;
    }
    public String toString(){
        return
                "数据字典1："+"\n"+
                        "字典ID：" + dictId + "\n"
                        + "字典类型：" + dictType +"\n"
                        + "字典编码：" + dictCode + "\n"
                        + "字典名称：" + dictName + "\n"
                        + "排序序号：" + dictSort + "\n"
                        + "是否有效(Y/N)：" + isValid;
    }
}

